import Image from "next/image";
import Link from "next/link";

import img from "../../public/images/banner/banner-01.png";
import shape1 from "../../public/images/shape/shape-01.png";
import shape2 from "../../public/images/shape/shape-02.png";
import loading_img from "../../public/images/get_data_loader.svg";

import HomeCourses from "./Home-Sections/HomeCourse";

import { useState, useEffect } from 'react'
const MainDemoBanner = () => {

  const [data, setData] = useState(null)
  const [isLoading, setLoading] = useState(true)
  const [imageHeader, setImageHeader] = useState('')
  const [courses, setCourses] = useState([])

  useEffect(() => {
    return () => { getData() }
  }, []);

  const getData = async () => {
    let response = await global.api.GET_METHOD('header')
    console.log("MainDemoBanner", response);
    setData(response.data)
    setImageHeader(response?.data?.image_header)
    setCourses(response?.data?.courses)
    setLoading(false)
  }

  if (isLoading) return <div className="d-flex justify-content-center align-self-center" style={{ height: '95dvh' }}><Image src={loading_img} width={100} height={100} alt="Loading Image" /></div>

  if (!data) return <p>No profile data</p>

  return (
    <>
      <div className="container-fluid">
        <div className="row">
          <div className="col-md-12 pb--120 pt--70 space-responsive-xxl">

            <div className="content">
              <div className="inner">
                <div className="rbt-new-badge rbt-new-badge-one">
                  <span className="rbt-new-badge-icon">🏆</span> The Leader in
                  Online Learning
                </div>

                <h1 className="title">
                  Build The Skills <br /> To Drive Your Career.
                </h1>
                <p className="description">
                  {/* Amet minim mollit non deserunt ullamco est sit aliqua dolor do
                  amet sint.
                  <strong> Velit officia consequat.</strong> */}

                  {data?.desc || '-'}
                </p>
                <div className="slider-btn">
                  <Link
                    className="rbt-btn btn-gradient hover-icon-reverse"
                    href="#"
                  >
                    <span className="icon-reverse-wrapper">
                      <span className="btn-text">View Course</span>
                      <span className="btn-icon">
                        <i className="feather-arrow-right"></i>
                      </span>
                      <span className="btn-icon">
                        <i className="feather-arrow-right"></i>
                      </span>
                    </span>
                  </Link>
                </div>
              </div>
              <div className="shape-wrapper" id="scene">
                <Image src={imageHeader} onError={() => setImageHeader(img)} width={1200} height={1400} alt="Hero Image" />
                <div className="hero-bg-shape-1 layer" data-depth="0.4">
                  <Image
                    src={shape1}
                    width={428}
                    height={377}
                    alt="Hero Image Background Shape"
                  />
                </div>
                <div className="hero-bg-shape-2 layer" data-depth="0.4">
                  <Image
                    src={shape2}
                    width={372}
                    height={396}
                    alt="Hero Image Background Shape"
                  />
                </div>
              </div>

              <div className="banner-card pb--60 swiper rbt-dot-bottom-center banner-swiper-active">
                <HomeCourses courses={courses} start={0} end={5} />
              </div>
            </div>
          </div>
        </div>
      </div>
    </>
  );
};

export default MainDemoBanner;
