import React, { useEffect, useState } from "react";
import Link from "next/link";
import Image from "next/image";

import "venobox/dist/venobox.min.css";

import img from "../../public/images/bg/bg-image-12.jpg";

const Video = ({responseData}) => {
  useEffect(() => {
    console.log('Video' ,responseData);
    import("venobox/dist/venobox.min.js").then((venobox) => {
      new venobox.default({
        selector: ".popup-video",
      });
    });
  }, []);

  const [imgVideo, setImgVideo] = useState(responseData.image_about);
  return (
    <>
      <div className="rbt-video-area">
        <div className="container">
          <div className="row">
            <div className="col-lg-12">
              <div className="video-popup-wrapper">
                <Image
                  className="w-100 rbt-radius"
                  src={imgVideo}
                  onError={()=> setImgVideo(img)}
                  alt="Video Images"
                />
                <Link
                  className="rbt-btn rounded-player-2 popup-video position-to-top with-animation btn-theme-color"
                  data-vbtype="video"
                  controls
                  href={`${responseData.video_about}`}
                >
                  <span className="play-icon"></span>
                </Link>
                {/* {responseData.video_about} */}
              </div>
            </div>
          </div>
        </div>
      </div>
    </>
  );
};

export default Video;
