"use client";

import Image from "next/image";
import Link from "next/link";

import AboutData from "../../data/elements/about.json";

import { useParallax } from "react-scroll-parallax";

import aboutImg1 from "../../public/images/about/about-01.png";
import aboutImg2 from "../../public/images/about/about-02.png";
import aboutImg3 from "../../public/images/about/about-03.png";

import { useEffect, useState } from "react";

const AboutTwo = ({ responseData }) => {
  const { ref: ref1, style: style1 } = useParallax({
    translateY: [0, -20],
  });

  const { ref: ref2, style: style2 } = useParallax({
    translateY: [0, 20],
  });

  const { ref: ref3, style: style3 } = useParallax({
    translateY: [0, 20],
  });

  const [imageFirst, setImageFirst] = useState(responseData?.first_image_about);
  const [imageSecond, setImageSecond] = useState(responseData?.second_image_about);
  const [imageThird, setImageThird] = useState(responseData?.third_image_about);
  return (
    <>
      <div className="row g-5 align-items-center" >
            <div className="col-lg-6">
              <div className="thumbnail-wrapper">
                <div className="thumbnail-wrapper">
                  <div
                    className={`thumbnail image-1`}
                    ref={ref1}
                    style={style1}
                  >
                    <Image
                      src={imageFirst || ''}
                      onError={() => setImageFirst(aboutImg1)}
                      width={366}
                      height={490}
                      alt="Education Images"
                    />
                  </div>
                  <div
                    className={`thumbnail image-2`}
                    ref={ref2}
                    style={style2}
                  >
                    <Image
                      src={imageSecond || ''}
                      onError={() => setImageSecond(aboutImg2)}
                      width={308}
                      height={250}
                      alt="Education Images"
                    />
                  </div>
                  <div
                    className={`thumbnail image-3`}
                    ref={ref3}
                    style={style3}
                  >
                    <Image
                      src={imageThird || ''}
                      onError={() => setImageThird(aboutImg3)}
                      width={405}
                      height={490}
                      alt="Education Images"
                    />
                  </div>
                </div>
                {/* {data.images.map((img) => (
                  <div
                    className={`thumbnail image-${img.id} ${img.class}`}
                    key={img.id}
                  >
                    <Image
                      data-parallax='{"x": 0, "y": -20}'
                      src={img.image}
                      width={img.width}
                      height={img.height}
                      alt="Education Images"
                    />
                  </div>
                ))} */}
              </div>
            </div>
            <div className="col-lg-6">
              <div className="inner pl--50 pl_sm--0 pl_md--0">
                <div className="section-title text-start">
                  <span className="subtitle bg-coral-opacity">KNOW ABOUT US</span>
                  <h2 className="title">
                    Know About Histudy <br /> Learning Platform
                  </h2>
                </div>

                <p className="description mt--30">{responseData?.about_application}</p>

                <div className="rbt-feature-wrapper mt--20 ml_dec_20">
                  <div className="rbt-feature feature-style-2 rbt-radius">
                    <div className={`icon bg-pink-opacity`}>
                      <i className='feather-heart'></i>
                    </div>
                    <div className="feature-content">
                      <h6 className="feature-title">Flexible Classes</h6>
                      <p className="feature-description">{responseData?.flexible_classes}</p>
                    </div>
                  </div>

                  <div className="rbt-feature feature-style-2 rbt-radius">
                    <div className={`icon bg-primary-opacity`}>
                      <i className='feather-book'></i>
                    </div>
                    <div className="feature-content">
                      <h6 className="feature-title">Learn From Anywhere</h6>
                      <p className="feature-description">{responseData?.Learn_anywhere}</p>
                    </div>
                  </div>
                </div>

                <div className="about-btn mt--40">
                  <Link
                    className="rbt-btn btn-gradient hover-icon-reverse"
                    href="#"
                  >
                    <span className="icon-reverse-wrapper">
                      <span className="btn-text">More About Us</span>
                      <span className="btn-icon">
                        <i className="feather-arrow-right"></i>
                      </span>
                      <span className="btn-icon">
                        <i className="feather-arrow-right"></i>
                      </span>
                    </span>
                  </Link>
                </div>
              </div>
            </div>
          </div>
    </>
  );
};

export default AboutTwo;
