import Link from "next/link";
import React from "react";
import toast from 'react-hot-toast';
import { redirect } from 'next/navigation'

const Login = () => {
  // const [data, setData] = useState(null)
  // const [isLoading, setLoading] = useState(true)

  // useEffect(() => {
  //   return () => { getData() }
  // }, []);

  // const getData = async () => {
  //   let response = await global.api.GET_METHOD('register')
  //   console.log("register", response);
  //   setData(response.data)
  //   setImageHeader(response?.data?.image_header)
  //   setCourses(response?.data?.courses)
  //   setLoading(false)
  // }

  // handelLogin
  const handelLogin = async (event) => {
    event.preventDefault();
    // Select the email or Username input
    const usernameOrEmailInput = document.querySelector('input[name="con_name"]');

    // Select the password input
    const passwordInput = document.querySelector('input[name="con_email"]');

    let body = {
      username_or_email: usernameOrEmailInput.value,
      password: passwordInput.value,
    };

    // Check if all inputs are filled
    for (const key in body) {
      console.log('body[key]', body[key]);
      if (body[key]?.trim() === '' || !body[key]) {
        toast.error('يرجى تعبئة جميع الحقول');
        return;
      }
    }

    try {
      let response = await global.api.POST_FORM_METHOD('login', body);
      console.log({ response });
      if (response.status) {
        window.location.href = '/'
        // Reset the form
        event.target.reset();
      }

    } catch (error) {
    }
  };

  // handelRegister
  const handelRegister = async (event) => {
    event.preventDefault();
    // Select the email input
    const emailInput = document.querySelector('input[name="register-email"]');

    // Select the username input
    const usernameInput = document.querySelector('input[name="register_user"]');

    // Select the password input
    const passwordInput = document.querySelector('input[name="register_password"]');

    // Select the confirm password input
    const confirmPasswordInput = document.querySelector('input[name="register_conpassword"]');

    let body = {
      email: emailInput.value,
      username: usernameInput.value,
      password: passwordInput.value,
      password_confirmation: confirmPasswordInput.value
    };

    // Check if all inputs are filled
    for (const key in body) {
      console.log('body[key]', body[key]);
      if (body[key]?.trim() === '' || !body[key]) {
        toast.error('يرجى تعبئة جميع الحقول');
        return;
      }
    }

    try {
      let response = await global.api.POST_FORM_METHOD('register', body);
      console.log({ response });

      // Reset the form
      event.target.reset();
    } catch (error) {
    }
  };



  return (
    <>
      {/* Login */}
      <div className="col-lg-6">
        <div className="rbt-contact-form contact-form-style-1 max-width-auto">
          <h3 className="title">Login</h3>
          <form className="max-width-auto" onSubmit={handelLogin}>
            <div className="form-group">
              <input
                name="con_name"
                type="text"
                placeholder="Username or email *"
              />
              <span className="focus-border"></span>
            </div>
            <div className="form-group">
              <input
                name="con_email"
                type="password"
                placeholder="Password *"
              />
              <span className="focus-border"></span>
            </div>

            <div className="row mb--30">
              <div className="col-lg-6">
                <div className="rbt-checkbox">
                  <input type="checkbox" id="rememberme" name="rememberme" />
                  <label htmlFor="rememberme">Remember me</label>
                </div>
              </div>
              <div className="col-lg-6">
                <div className="rbt-lost-password text-end">
                  <Link className="rbt-btn-link" href="#">
                    Lost your password?
                  </Link>
                </div>
              </div>
            </div>

            <div className="form-submit-group">
              <button
                type="submit"
                className="rbt-btn btn-md btn-gradient hover-icon-reverse w-100"
              >
                <span className="icon-reverse-wrapper">
                  <span className="btn-text">Log In</span>
                  <span className="btn-icon">
                    <i className="feather-arrow-right"></i>
                  </span>
                  <span className="btn-icon">
                    <i className="feather-arrow-right"></i>
                  </span>
                </span>
              </button>
            </div>
          </form>
        </div>
      </div>
      {/* Login */}

      {/* Register */}
      <div className="col-lg-6">
        <div className="rbt-contact-form contact-form-style-1 max-width-auto">
          <h3 className="title">Register</h3>
          <form className="max-width-auto" onSubmit={handelRegister}>
            <div className="form-group">
              <input
                name="register-email"
                type="email"
                placeholder="Email address *"
              />
              <span className="focus-border"></span>
            </div>

            <div className="form-group">
              <input
                name="register_user"
                type="text"
                placeholder="Username *"
              />
              <span className="focus-border"></span>
            </div>

            <div className="form-group">
              <input
                name="register_password"
                type="password"
                placeholder="Password *"
              />
              <span className="focus-border"></span>
            </div>

            <div className="form-group">
              <input
                name="register_conpassword"
                type="password"
                placeholder="Confirm Password *"
              />
              <span className="focus-border"></span>
            </div>

            <div className="form-submit-group">
              <button
                type="submit"
                className="rbt-btn btn-md btn-gradient hover-icon-reverse w-100"
              >
                <span className="icon-reverse-wrapper">
                  <span className="btn-text">Register</span>
                  <span className="btn-icon">
                    <i className="feather-arrow-right"></i>
                  </span>
                  <span className="btn-icon">
                    <i className="feather-arrow-right"></i>
                  </span>
                </span>
              </button>
            </div>
          </form>
        </div>
      </div>
      {/* Register */}
    </>
  );
};

export default Login;
